How can I instal pkg_check_modules ?

asked 2019-10-29 03:27:39 -0600

oovidiustr gravatar image

Hello!

I am trying to make the tutorial from The Construct - Perception on my local PC. I am trying to install packages that I need for tutorial but I don't know how to solve this one:

moveit_core: You did not request a specific build type: Choosing 'Release' for maximum performance
-- Boost version: 1.58.0
-- Found the following Boost libraries:
--   system
--   filesystem
--   date_time
--   thread
--   iostreams
--   chrono
--   atomic
--   regex
-- Checking for module 'fcl'
--   No package 'fcl' found
CMake Error at /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:367 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:532 (_pkg_check_modules_internal)
  moveit/moveit_core/CMakeLists.txt:28 (pkg_check_modules)


-- Configuring incomplete, errors occurred!
See also "/home/ovidiu/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/ovidiu/catkin_ws/build/CMakeFiles/CMakeError.log".
Invoking "cmake" failed

I search all the internet but I couldn't find "pkg_check_modules".

Can someone help me?

Thank you in advance!

edit retag flag offensive close merge delete